
package cz.sweb.pichlik.exception;

import java.util.Enumeration;
import java.util.Hashtable;
import java.util.MissingResourceException;


public class ExceptionResources_cs_CZ extends ExceptionResources_en {
    private final Hashtable locales = new Hashtable();
    
    {
        locales.put("EX_CFNF","Nebyl nalezen konfiguran soubor");
    }

    public Enumeration getKeys() {        
        return this.locales.elements();
    }
    
    protected Object handleGetObject(String key) {
        Object o = locales.get(key);
        if(o == null){
            throw new MissingResourceException("Nebyla nalezena esk lokalizace pro "
                    +this.getClass().getName()
                    +", kl "+key,
                    this.getClass().getName(),
                    key);
        }
        return o;
    }
   
}
