package cz.sweb.pichlik.exception;

/**
 * 
 * <div>Title:CheckedException</div>
 * <div>Description:Klasick kontrolovan vjimka s pekrytmi konstruktory</div>  
 * 
 * @author 	 Roman Pichlk
 * @version  $Revision: 1.0 $
 * 
 */
public class CheckedException extends Exception {  
    
    /**
     * Defaultn konstruktor
     */
    public CheckedException() {
        super();
    }
    
    /**
     * Konstruktor se zprvou
     * @param message zprva
     */
    public CheckedException(String message) {
        super(message);
    }
    
    /**
     * Konsruktor se zprvou a pvodn vjmkou vjmkou
     * @param message zprva
     * @param cause pvodn vjimka
     */
    public CheckedException(String message, Throwable cause){
        super(message, cause);
    }
    
    /**
     * Konstruktor s pvdn vjimkou
     * @param cause pvod vjimka
     */
    public CheckedException(Throwable cause){
        super(cause);
    }    
}