package cz.sweb.pichlik.exception;

import java.util.Enumeration;
import java.util.Hashtable;
import java.util.MissingResourceException;
import java.util.ResourceBundle;

public class ExceptionResources_en extends ResourceBundle{
    
    private final Hashtable locales = new Hashtable();
    
    {
        locales.put("EX_CFNF","Configuration file not found");
    }

    public Enumeration getKeys() {        
        return this.locales.elements();
    }
    
    protected Object handleGetObject(String key) {
        Object o = locales.get(key);
        if(o == null){
            throw new MissingResourceException("Can't find resource for bundle "
                    +this.getClass().getName()
                    +", key "+key,
                    this.getClass().getName(),
                    key);
        }
        return o;
    }

    
}
